Bug 198755 - Proxy constructor should throw if handler is revoked Proxy
Summary: Proxy constructor should throw if handler is revoked Proxy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Minor
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-11 09:55 PDT by Alexey Shvayka
Modified: 2019-08-19 17:57 PDT (History)
9 users (show)

See Also:


Attachments
Patch (4.41 KB, patch)
2019-06-11 10:11 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (4.35 KB, patch)
2019-06-18 13:16 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (4.23 KB, patch)
2019-08-12 11:40 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff
Patch (4.26 KB, patch)
2019-08-19 17:09 PDT, Alexey Shvayka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Alexey Shvayka 2019-06-11 10:11:01 PDT
Created attachment 371852 [details]
Patch
Comment 2 Saam Barati 2019-06-11 11:22:55 PDT
Comment on attachment 371852 [details]
Patch

r=me
Comment 3 Alexey Shvayka 2019-06-18 12:55:08 PDT
(In reply to Saam Barati from comment #2)
> Comment on attachment 371852 [details]
> Patch
> 
> r=me

Thanks for review, is there anything I could do to help get this merged?
Comment 4 Keith Miller 2019-06-18 13:03:30 PDT
(In reply to Alexey Shvayka from comment #3)
> (In reply to Saam Barati from comment #2)
> > Comment on attachment 371852 [details]
> > Patch
> > 
> > r=me
> 
> Thanks for review, is there anything I could do to help get this merged?

Generally, you can just set the commit queue flag to "?". That lets us know you want the reviewer to set the flag to "+" if they think it's ready to be committed.
Comment 5 WebKit Commit Bot 2019-06-18 13:04:18 PDT
Comment on attachment 371852 [details]
Patch

Rejecting attachment 371852 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 371852, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=371852&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=198755&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 371852 from bug 198755.
Fetching: https://bugs.webkit.org/attachment.cgi?id=371852
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Saam Barati']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 5 diffs from patch file(s).
patching file JSTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file JSTests/stress/proxy-revoke.js
patching file JSTests/test262/expectations.yaml
Hunk #1 FAILED at 1140.
1 out of 1 hunk FAILED -- saving rejects to file JSTests/test262/expectations.yaml.rej
patching file Source/JavaScriptCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/JavaScriptCore/runtime/ProxyObject.cpp

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Saam Barati']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/12511323
Comment 6 Alexey Shvayka 2019-06-18 13:16:16 PDT
Created attachment 372369 [details]
Patch

Fix merge conflict. Thank you for the tip, I have found --request-commit flag.
Comment 7 Alexey Shvayka 2019-08-12 11:40:39 PDT
Created attachment 376082 [details]
Patch

Rebase patch.
Comment 8 Ross Kirsling 2019-08-19 16:22:07 PDT
Looks like Saam already reviewed this, so you don't actually need to set r? again. If you replace the `NOBODY (OOPS!)` in the ChangeLogs and resubmit with just cq? (i.e. --no-review --request-commit), then we can just land it. :)
Comment 9 Alexey Shvayka 2019-08-19 17:09:36 PDT
Created attachment 376722 [details]
Patch

Set reviewer.
Comment 10 WebKit Commit Bot 2019-08-19 17:56:15 PDT
Comment on attachment 376722 [details]
Patch

Clearing flags on attachment: 376722

Committed r248880: <https://trac.webkit.org/changeset/248880>
Comment 11 WebKit Commit Bot 2019-08-19 17:56:16 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 Radar WebKit Bug Importer 2019-08-19 17:57:21 PDT
<rdar://problem/54492418>